Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007668 [DCSS] Bug Report minor have not tried 2013-10-26 15:49 2013-10-27 09:16
Reporter cosmonaut View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007668: Vampire lose undead trait once coming back from lich form
Description I know Vampires naturally can not cast necromutation.

but by zom's ability or chaos brand effect or metamorphosis card, they are possible to become rich form.

then after that lich form is expired, they act like a living creature. i.e. they become to be able to use holy weapon, or cast necromutation without any problem.

Is it intentional feature? seems like bug for me.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0008291closedneil Accidental necromutation behaves strangely for undead 

-  Notes
(0024255)
neil (administrator)
2013-10-26 23:58

Fixed in trunk (0.14-a0-398-g2ef00a3) and stable (0.13.0-23-g23ab95a), thanks! Probably entering lich form should be prevented altogether, but I didn't do anything about that.
(0024258)
cosmonaut (reporter)
2013-10-27 09:16

:)

- Issue History
Date Modified Username Field Change
2013-10-26 15:49 cosmonaut New Issue
2013-10-26 15:51 cosmonaut Issue Monitored: cosmonaut
2013-10-26 15:51 cosmonaut Issue End Monitor: cosmonaut
2013-10-26 23:45 MarvinPA View Status private => public
2013-10-26 23:58 neil Note Added: 0024255
2013-10-26 23:58 neil Status new => resolved
2013-10-26 23:58 neil Fixed in Branch => 0.13 stable branch
2013-10-26 23:58 neil Resolution open => done
2013-10-26 23:58 neil Assigned To => neil
2013-10-27 09:16 cosmonaut Note Added: 0024258
2013-10-27 09:16 cosmonaut Status resolved => closed
2014-03-19 07:09 neil Relationship added has duplicate 0008291


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker